| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::PendingConnection Class Reference
Connection proxies

The PendingConnection class represents the parameters of and the reply to an asynchronous connection request. More...

`#include <TelepathyQt/PendingConnection>`

Inherits Tp::PendingOperation.

## Public Member Functions

| ~PendingConnection ()
ConnectionManagerPtr | manager () const
ConnectionPtr | connection () const
Public Member Functions inherited from Tp::PendingOperation
virtual | ~PendingOperation ()
bool | isFinished () const
bool | isValid () const
bool | isError () const
QString | errorName () const
QString | errorMessage () const

## Additional Inherited Members

Signals inherited from Tp::PendingOperation
void | finished (Tp::PendingOperation *operation)
Protected Slots inherited from Tp::PendingOperation
void | setFinished ()
void | setFinishedWithError (const QString &name, const QString &message)
void | setFinishedWithError (const QDBusError &error)
Protected Member Functions inherited from Tp::PendingOperation
| PendingOperation (const SharedPtr< RefCounted > &object)
SharedPtr< RefCounted > | object () const

## Detailed Description

The PendingConnection class represents the parameters of and the reply to an asynchronous connection request.

Instances of this class cannot be constructed directly; the only way to get one is via ConnectionManager.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingConnection::~PendingConnection | ( |  | ) |

Class destructor.

## Member Function Documentation

ConnectionManagerPtr Tp::PendingConnection::manager | ( |  | ) | const

Return the connection manager through which the request was made.

Returns
  A pointer to the ConnectionManager object.

ConnectionPtr Tp::PendingConnection::connection | ( |  | ) | const

Return the connection resulting from the connection request.

Returns
  A pointer to the Connection object.